#include <iostream>
#include <vector>
#include <utility>

using namespace std;

int main()
{
    int n,m;
    cin>>n>>m;
    vector<int> poznanstva(n+1);
    vector<int> sreca(n+1);
    int ukupna_sreca=0;
    for(int i=1;i<=n;i++){
        cin>>sreca[i];
    }
    for(int i=1;i<=m;i++){
        int prvi,drugi;
        cin>>prvi>>drugi;
        if((abs(sreca[prvi])>abs(sreca[drugi])&&sreca[prvi]<0)||(abs(sreca[drugi])>abs(sreca[prvi])&&sreca[drugi]<0)){
            poznanstva[prvi]--;
            poznanstva[drugi]--;
        }
        else{
            poznanstva[prvi]++;
            poznanstva[drugi]++;
        }
    }
    for(int i=1;i<=n;i++){
        ukupna_sreca+=(sreca[i]*poznanstva[i]);
    }
    cout<<ukupna_sreca<<endl;
    return 0;
}